Skip to content
Guides
Fulfillment & ShippingRates
settings:read

Get live shipping quotes

Requests rates from the carrier connected to the selected shipping method for the destination, products, order amount, and currency.

POST/v1/shipping/rates/live-quotes

Requests rates from the carrier connected to the selected shipping method for the destination, products, order amount, and currency.

Authorization

bearerAuth
AuthorizationBearer <token>

OAuth2 access token issued by Ecomiq Auth.

In: header

Header Parameters

Authorization*string

OAuth 2.0 bearer token.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X POST "https://example.com/v1/shipping/rates/live-quotes" \  -H "Authorization: Bearer <token>" \  -H "Content-Type: application/json" \  -d '{    "shippingMethodId": "7204558912004325301",    "countryIsoCode": "example_code",    "destination": {      "addressLine": "example",      "number": "example",      "postalCode": "example_code",      "department": "example",      "province": "example",      "district": "example",      "reference": "example",      "latitude": 1    },    "products": [      {        "sku": "SKU-001",        "name": "Example resource",        "brand": "example",        "weight": 0,        "price": 0,        "quantity": 1,        "height": 0,        "width": 0      }    ],    "orderAmount": 1,    "currency": "PEN"  }'
{  "success": false,  "options": [    {      "name": "Example resource",      "price": 1,      "currency": "PEN",      "estimatedDays": 1,      "serviceCode": "example_code",      "description": "Example description."    }  ],  "code": "example_code",  "message": "example"}